Jump to content

AutoCAD 2000 à 2002


965 topics in this forum

    • 5 replies
    • 2,5k views
  1. Remplissage de lettre

    • 2 replies
    • 1,9k views
    • 3 replies
    • 1,9k views
  2. Calcul de surfaces 1 2 3

    • 51 replies
    • 11,4k views
    • 2 replies
    • 2,2k views
    • 1 reply
    • 2,6k views
    • 3 replies
    • 2,5k views
  3. ligne de commande

    • 6 replies
    • 2,7k views
    • 4 replies
    • 3,2k views
    • 4 replies
    • 2,1k views
    • 0 replies
    • 2k views
  4. Photo dans plan...

    • 3 replies
    • 2,8k views
    • 4 replies
    • 1,6k views
    • 0 replies
    • 1,2k views
    • 2 replies
    • 1,5k views
  5. PTIT TRUC BIEN SYMPA

    • 9 replies
    • 3,1k views
    • 1 reply
    • 1,3k views
    • 2 replies
    • 1,7k views
    • 8 replies
    • 2,2k views
  6. délimitations

    • 11 replies
    • 2,5k views
  7. Rechercher texte

    • 4 replies
    • 1,9k views
    • 4 replies
    • 2k views
  8. Probleme couleur

    • 1 reply
    • 1,5k views
  9. dxf et échelle ...

    • 1 reply
    • 1,3k views
  10. Dessiner en D

    • 5 replies
    • 1,8k views
  • Forum Statistics

    • Total Topics
      46 464
    • Total Posts
      280 221
  • Posts

    • Bonsoir @didier J'ai effectivement vu une option zone de travail dans la barre d'outils d'Autopiste. Je vais voir ce que ça donne... Merci du coup de main
    • Bonjour @drault Ce n'est pas la première fois que je lis PO dans vos messages sans savoir de quoi il est question. Ce serait bien d'expliciter ou d'utiliser le vocabulaire AutoCAD commun à tous. J'ai cru comprendre qu'il s'agissait de sélection d'un point pour tracer un contour, mais les lettres utilisées P et O me font douter. Amicalement
    • Perso après le contour ou la PO à la main, une erreur se produit :   sinon l'idée de DenisHen (qui marche): ;;; *********************************************************** ;;; Dessine un contour, puis place un texte incrémenté et la ;;; surface dans un multitexte Pour Hydro8 de CadXP.com ;;; *********************************************************** (defun c:Hydro8 (/ old_osmd PrefixIncrement ValIncrement Option Surf Pt_Ins MText) (princ "\nDéveloppé par Denis H.") ;;; Active le début de l'undo (setq doc (vla-get-activedocument (vlax-get-acad-object))) (vla-startundomark doc) (setq NbDec (getvar "luprec")) (setq PrefixIncrement (vlax-ldata-get "DenisH" "PrefixIncrement" "13B")) (if (= PrefixIncrement nil) (vlax-ldata-put "DenisH" "PrefixIncrement" "13B") ) ;_ Fin de if (setq ValIncrement (vlax-ldata-get "DenisH" "ValIncrement" 1)) (if (= ValIncrement nil) (vlax-ldata-put "DenisH" "ValIncrement" 1) ) ;_ Fin de if (initget "Préfix Nombre") (setq Option (getkword (strcat "\nOptions des textes [Préfix/Nombre] <" PrefixIncrement (itoa ValIncrement) "> : ") ) ;_ Fin de getkword ) ;_ Fin de setq (cond ((= Option "Préfix") (setq PrefixIncrement (getstring (strcat "\nSaisir le préfix de l'incrémentation <" PrefixIncrement "> : ")) ;_ Fin de getstring ) ;_ Fin de setq (vlax-ldata-put "DenisH" "PrefixIncrement" PrefixIncrement) ) ((= Option "Nombre") (setq ValIncrement (getint (strcat "\nSaisir le prochain numéro de l'incrémentation " (itoa ValIncrement) " : "))) ;_ Fin de getstring (vlax-ldata-put "DenisH" "ValIncrement" ValIncrement) ) ) ;_ Fin de cond (princ "\nSaisisser le contour :") (setq old_osmd (getvar "osmode")) (command "calque" "E" "MARTY-SURFACES_FRACTIONS" "co" "u" "255,0,255" "MARTY-SURFACES_FRACTIONS" "") (command "_.pline" (while (not (zerop (getvar "cmdactive"))) (command pause)) ;_ Fin de while ) ;_ Fin de command (setq Surf (getpropertyvalue (entlast) "Area")) (setq Pt_Ins (getpoint "Cliquer l'emplacement du texte :")) (setq MText (strcat PrefixIncrement (itoa ValIncrement) "\\P" (rtos Surf 2 NbDec))) (vlax-ldata-put "DenisH" "ValIncrement" (+ 1 ValIncrement)) (command "_.-MTEXT" Pt_Ins "R" 0 "J" "MC" "H" 1.75 Pt_Ins MText "") (getvar "osmode" old_osmd) (setvar "plinewid" 0) ;;; Fin de l'undo (vla-endundomark doc) (princ) ) ;_ Fin de defun   est intéressante mais je suis obligé de faire 2 segments pour 1 PO et pas 1 seul. Cela serait bien pratique pour ensuite exporter ces données mtext (auriez-vous un lisp en stock ?) en csv ou xsl
    • Bonjour,   Est-il possible de configurer le LISP ou créer une boucle afin qu'il demande dans quelle unité afficher la donnée ? Il se trouve que je travaille selon les sujets dans différentes unités et reprogrammer le LISP à chaque fois me semble compliqué.
    • TotalArea prend en compte l'aire de l'objet sélectionné (polyligne, région, hachure, mpolygon, ...). Le LISP ne sait pas ce qu'est "une cloison".
  • Sujets

×
×
  • Create New...